Commits

Miki Tebeka committed ef7fced

Go

Comments (0)

Files changed (4)

 noop.hi
 noopcc
 noophs
+noopgo
+#!/bin/bash
+# Compile a go program, foo.go will be compiled to foogo
+
+if [ $# -ne 1 ]; then
+    echo "usage: $(basename $0) SRC"
+    exit 1
+fi
+
+src=$1
+tmp=$(mktemp)
+6g -o $tmp $src
+6l -o ${src/.go/go} $tmp
+rm $tmp
+package main
+
+func main() {
+}
     program(["javac", "noop.java"], ["java", "noop"], name="java"),
     program(["gmcs", "-optimize+", "noop.cs"], ["./noop.exe"], name="mono"),
     program(["ghc", "-v0", "-O", "-o", "noophs", "noop.hs"], ["./noophs"]),
+    program(["./go.sh", "noop.go"], ["./noopgo"], name="go"),
 ]
 
 def timeit(command):